let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-21.11";
    rev = "1bd4bbd49bef217a3d1adea43498270d6e779d65";
  };
in

{
  inherit nixpkgs;
  nixos = nixpkgs // {
    suffix = "/nixos";
  };
  "channels-nixos-stable" = nixpkgs;

  "channels-nixos-21.05" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-21.05";
    rev = "4a8751d694b46340072d95409804f59b98326f44";
  };
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "bc5d68306b40b8522ffb69ba6cff91898c2fbbff";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "2a512fa1be4516cf4131ec392ec5ac3d84e80dbf";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-21.11";
    rev = "6ce1d64073f48b9bc9425218803b1b607454c1e7";
  };
}
